class BaseAuth(object):
    error = None

    def set_error(self, error):
        self.error = error

    def get_error(self):
        return self.error

    def authorized(self):
        return True

    def has_model_read_permission(self, qs):
        return True, qs

    def has_model_write_permission(self, obj):
        return True, obj

    def has_model_update_permission(self, obj, update):
        return True, obj

    def has_model_delete_permission(self, obj, model):
        return True, obj
